# one-page-app

## Purpose

A one page app (single page application) starter for Node.js

## Installation

    npm install opa
	
	set your CouchDb (IrisCouch or Cloudant) instance in server.js
	
## Usage

	To run the '/example' app:
	> cd node_modules\one-page-app\example
	> node server

## "One Page App"

This module is a simple single page app starter for Node.

* A single page app served by a simple key-value database
* Twitter Bootstrap and jQuery for long scrolling single-page UI.
* Nav menus, vertical dot nav, horizontal image slider.
* Responsive, mobile ready design.
* Built in administration for simple, anywhere updates.

## Dependencies

dirtkey (https://github.com/iatek/node-dirtkey)

The included example app uses Node Express 3.0, EJS, CodeMirror and Twitter Bootstrap (included in '/example').

## License

node one-page-app is licensed under the MIT license.

## Keywords

node,starter,boiler,website,simple,blog,app,single,page
